- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OSnLNodePlus Class Reference

The OSnLNodePlus Class. More...

`#include <OSnLNode.h>`

Inheritance diagram for OSnLNodePlus:

[legend]
Collaboration diagram for OSnLNodePlus:

[legend]
List of all members.

## Public Member Functions
| OSnLNodePlus ()
| default constructor.
| ~OSnLNodePlus ()
| default destructor.
virtual std::string | getTokenName ()
virtual double | calculateFunction (double *x)
| The implementation of the virtual functions.
virtual double | constructADTape (std::map< int, int > *ADIdx, std::vector< double > *XAD)
virtual OSnLNode * | cloneOSnLNode ()

## Detailed Description

The OSnLNodePlus Class.

Author:
  Robert Fourer, Jun Ma, Kipp Martin,

Version:
  1.0, 10/05/2005

Since:
  OS1.0

Remarks:
  The in-memory representation of the OSnL element <plus>

Definition at line 256 of file OSnLNode.h.

## Constructor & Destructor Documentation

OSnLNodePlus::OSnLNodePlus | ( |  | ) |

default constructor.

Definition at line 457 of file OSnLNode.cpp.

References OSnLNode::inodeInt, OSnLNode::inodeType, OSnLNode::inumberOfChildren, and OSnLNode::m_mChildren.

Referenced by cloneOSnLNode().

OSnLNodePlus::~OSnLNodePlus | ( |  | ) |

default destructor.

Definition at line 469 of file OSnLNode.cpp.

References OSnLNode::inumberOfChildren, and OSnLNode::m_mChildren.

## Member Function Documentation

std::string OSnLNodePlus::getTokenName | ( |  | ) | `[virtual]`

Returns:
  the value of operator name

Implements OSnLNode.

Definition at line 481 of file OSnLNode.cpp.

double OSnLNodePlus::calculateFunction | ( | double * | x | ) | `[virtual]`

The implementation of the virtual functions.

Returns:
  a double.

Implements OSnLNode.

Definition at line 486 of file OSnLNode.cpp.

References OSnLNode::calculateFunction(), OSnLNode::m_dFunctionValue, and OSnLNode::m_mChildren.

virtual double OSnLNodePlus::constructADTape | ( | std::map< int, int > * | ADIdx,
|  | std::vector< double > * | XAD |
| ) |  |  | `[virtual]`

Create the AD tape to be evaluated by AD. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Returns:
  the expression tree.

Implements OSnLNode.

OSnLNode * OSnLNodePlus::cloneOSnLNode | ( |  | ) | `[virtual]`

Create or clone a node of this type. This is an abstract method which is required to be implemented by the concrete operator nodes that derive or extend from this OSnLNode class.

Parameters:

  | x | holds the values of the variables in a double array.

Returns:
  the function value given the current variable values.

Implements OSnLNode.

Definition at line 498 of file OSnLNode.cpp.

References OSnLNodePlus().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSnLNode.cpp